<template>
  <section class="grid grid-cols-3 gap-4">
    <news-item v-for="item in list" :key="item.id" :item="item" />
  </section>
</template>

<script lang="ts">
import { defineComponent, PropType } from "vue";
import NewsItem from "./news-item.vue";
import { INewItem } from "../../models/news/new.model";

export default defineComponent({
  name: "NewsList",
  components: {
    NewsItem,
  },
  props: {
    list: {
      type: Array as PropType<Array<INewItem>>,
      required: true,
    },
  },
});
</script>
